# $Revision: 1.50.2.1 $, $Date: 2006/05/15 14:46:11 $
Summary:	Cataloging system for documentation
Summary(pl):	System katalogowania dokumentacji
Summary(pt_BR):	ScrollKeeper  um sistema de catlogos para a documentao
Name:		scrollkeeper
Version:	0.3.14
Release:	5
Epoch:		1
License:	GPL
Group:		Applications/Text
#Source0:	http://ftp.gnome.org/pub/GNOME/sources/scrollkeeper/0.3/%{name}-%{version}.tar.bz2
Source0:	http://dl.sourceforge.net/scrollkeeper/%{name}-%{version}.tar.gz
# Source0-md5:	161eb3f29e30e7b24f84eb93ac696155
Patch0:		%{name}-am.patch
Patch1:		%{name}-sgml.patch
Patch2:		%{name}-locale-names.patch
URL:		http://scrollkeeper.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	docbook-dtd42-xml >= 1:1.0-3
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.28
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.4.19
BuildRequires:	libxslt-devel
BuildRequires:	glib2-devel
BuildRequires:	rpmbuild(macros) >= 1.179
Requires(post):	libxml2
Requires(post,postun):	libxml2-progs
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	sgml-common
Requires:	awk
Requires:	docbook-dtd412-xml >= 1.0-11
Requires:	docbook-dtd42-xml >= 1:1.0-3
Requires:	intltool >= 0.28
Requires:	libxml2 >= 2.4.19
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dtd_path	%{_datadir}/sgml/scrollkeeper
%define		xmlcat_file	%{dtd_path}/catalog.xml
%define		sgmlcat_file	%{dtd_path}/catalog

%description
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog. It will also be able to
communicate with catalog servers on the Net to search for documents
which are not on the local system.

%description -l pl
System katalogowania dokumentacji. ScrollKeeper zarzdza metadanymi
dokumentacji (jak podano w Open Source Metadata Framework (OMF)) oraz
dostarcza proste API pozwalajce przegldarkom dokumentacji na
wyszukiwanie, sortowanie itp. w katalogu dokumentw. Ponadto pozwala
on na komunikacj z serwerami sieciowymi zawierajcymi dokumentacj
niedostpn na lokalnym serwerze.

%description -l pt_BR
ScrollKeeper  um sistema de catlogos para documentao. Ele gerencia
dados especficos do OMF (Open Source Metadata Framework) e fornece
uma simples API para permitir com que navegadores de ajuda possam
achar, ordenar e procurar a documentao. Tambm ser possvel
procurar os documentos em servidores na rede caso no seja encontrado
na mquina local.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

mv -f po/{no,nb}.po
rm -f po/stamp-po

%build
%{__libtoolize}
%{__gettextize}
intltoolize --copy --force
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/lib/scrollkeeper/index

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "OMF_DIR=/usr/share/omf" > $RPM_BUILD_ROOT%{_sysconfdir}/scrollkeeper.conf

%xmlcat_create $RPM_BUILD_ROOT%{xmlcat_file}

%xmlcat_add_rewrite \
	http://scrollkeeper.sourceforge.net/dtds/scrollkeeper-omf-1.0/ \
	file://%{dtd_path}/ \
	$RPM_BUILD_ROOT%{xmlcat_file}

/usr/bin/xmlcatalog --noout \
	--add public '-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN' \
	scrollkeeper-omf.dtd $RPM_BUILD_ROOT%{xmlcat_file}
/usr/bin/xmlcatalog --noout \
	--add public '-//Scrollkeeper//DTD Contents List V1.0//EN' \
	scrollkeeper-cl.dtd $RPM_BUILD_ROOT%{xmlcat_file}

: > $RPM_BUILD_ROOT%{sgmlcat_file}
echo 'DTDDECL "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" "../xml.dcl"' \
	>> $RPM_BUILD_ROOT%{sgmlcat_file}
echo 'DTDDECL "-//Scrollkeeper//DTD Contents List V1.0//EN" "../xml.dcl"' \
	>> $RPM_BUILD_ROOT%{sgmlcat_file}
echo 'PUBLIC "-//OMF//DTD Scrollkeeper OMF Variant V1.0//EN" scrollkeeper-omf.dtd' \
	>> $RPM_BUILD_ROOT%{sgmlcat_file}
echo 'PUBLIC "-//Scrollkeeper//DTD Contents List V1.0//EN" scrollkeeper-cl.dtd' \
	>> $RPM_BUILD_ROOT%{sgmlcat_file}

# no -devel package
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{so,la}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{_bindir}/scrollkeeper-rebuilddb
%{_bindir}/scrollkeeper-update
if ! grep -q %{xmlcat_file} /etc/xml/catalog ; then
	%xmlcat_add %{xmlcat_file}
fi
if ! grep -q /etc/sgml/scrollkeeper.cat /etc/sgml/catalog ; then
	%sgmlcat_add /etc/sgml/scrollkeeper.cat %{sgmlcat_file}
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ] ; then
	%xmlcat_del %{xmlcat_file}
	%sgmlcat_del /etc/sgml/scrollkeeper.cat %{sgmlcat_file}
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_sysconfdir}/scrollkeeper.conf
%{_mandir}/man[1578]/*
%{_datadir}/omf
%{_datadir}/%{name}
%{_datadir}/sgml/scrollkeeper
%{_localstatedir}/lib/scrollkeeper

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: scrollkeeper.spec,v $
Revision 1.50.2.1  2006/05/15 14:46:11  baggins
- merged from HEAD

Revision 1.55  2006/01/22 19:50:55  freetz
- rel.5 for th

Revision 1.54  2004/12/12 00:55:02  qrczak
- One semicolon too many.

Revision 1.53  2004/12/11 23:50:56  qrczak
- Updated XML and SGML macros to include a semicolon at the end,
  instead of putting empty lines after their invocations.

Revision 1.52  2004/12/11 23:08:39  qrczak
- Added empty lines required for correct expansion of rpm macros.
- Release 4.

Revision 1.51  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.50  2004/07/22 08:34:11  qboosh
- added locale-names patch, change no->nb
- remove useless .la, updated BRs, release 3

Revision 1.49  2004/03/18 18:44:19  grzegol
- added epoch to docbook-dtd42-xml requires

Revision 1.48  2004/02/03 10:13:39  qboosh
- R: docbook-dtd412-xml (if not present, scrollkeeper tries to download it)
- release 2 (fixes BTS#810)

Revision 1.47  2003/12/19 18:35:32  eothane
- changed dl.sf.net to dl.sourceforge.net (SourceN:'s)

Revision 1.46  2003/12/08 15:32:43  wiget
- updated to 0.3.14
- removed outdated docbook and po patches

Revision 1.45  2003/09/18 22:36:28  ankry
- really updated -po patch

Revision 1.44  2003/09/09 00:28:29  ankry
- updated -po patch

Revision 1.43  2003/08/18 08:09:33  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.42  2003/08/12 22:32:53  ankry
- cosmetics

Revision 1.41  2003/05/25 11:00:59  malekith
- massive attack, adding Source-md5

Revision 1.40  2003/05/25 06:26:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.39  2003/04/12 21:07:30  aflinta
- updated to version 0.3.12

Revision 1.38  2003/01/03 22:37:16  aflinta
 - cosmetics

Revision 1.37  2003/01/03 22:34:53  aflinta
- updated to latest snap, po.patch needs huge work :/ added po1.patch which allows proper build

Revision 1.36  2002/11/28 16:28:33  wiget
- register DTDs in XML and SGML centralized catalogs

Revision 1.35  2002/11/05 15:41:44  ankry
- moved dtd file, rel 7.1 - don't STBR !

Revision 1.34  2002/10/25 12:30:17  qboosh
- added Requires(post)

Revision 1.33  2002/10/21 12:55:17  trojan
- fixed source URL
- fixed %%files

Revision 1.32  2002/10/13 21:07:09  ankry
- workaround for xml template files generating ( in -po patch )
- rel. 7, STBR

Revision 1.31  2002/10/13 11:36:19  ankry
- some translation fixes, rel. 6.5 (NFY)

Revision 1.30  2002/10/05 06:35:15  kloczek
- run scrollkeeper-rebuilddb in %post.

Revision 1.29  2002/10/05 05:49:43  ankry
- fix in man page, re. 6

Revision 1.28  2002/09/30 11:17:10  kloczek
- use gettextize instead glib-gettextize (in confifure.in is used AM_GNU_GETTEXT)
  so now mo file names is correct,
- use more macros.

Revision 1.27  2002/09/30 10:35:00  wiget
- new %%doc
- call intltoolize after glib-gettextize (fix @GETTEXT_PACKAGE@.mo problem)
- release 5

Revision 1.26  2002/09/10 20:01:10  aflinta
- changed BR from docbook-dtd412-xmlcatalog to docbook-dtd412-xml >= 1.0-7
- release 4 STBR

Revision 1.25  2002/08/26 17:58:06  wolf
- removed duplicated %%files

Revision 1.24  2002/08/26 09:53:41  aflinta
- added missing dir

Revision 1.23  2002/08/16 14:43:03  wolf
- xmlcatalog dtd is needed
- rel 2

Revision 1.22  2002/08/16 11:47:09  wolf
- added R from readme

Revision 1.21  2002/08/15 19:25:28  wolf
- commented out kloczek's patch to be compatible with 1.16 commit

Revision 1.20  2002/08/15 19:23:34  wolf
- added warning for impatient

Revision 1.19  2002/08/15 01:29:21  michuz
- updated to 0.3.11

Revision 1.18  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/06/23 19:34:59  aflinta
- added BR glib2-devel
- release 2

Revision 1.16  2002/06/23 19:31:46  aflinta
- merged from DEVEL

Revision 1.15  2002/05/21 23:14:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/03/24 23:28:24  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.13  2002/02/22 23:29:42  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/02/18 13:02:30  gotar
- removed Prereq: /sbin/ldconfig (glibc content).

Revision 1.11  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.10  2002/01/18 02:14:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2002/01/10 15:49:38  kloczek
- merge translations from Conectiva.

Revision 1.8  2001/12/29 00:30:05  qboosh
- segv patch - quick and dirty fix for some of MANY bugs that can cause SEGV
- release 4

Revision 1.7  2001/12/28 17:15:58  gotar
- changes in descriptions.

Revision 1.6  2001/11/25 16:16:33  gotar
- added %{_datadir}/omf dir to the package contents,
- release 3.

Revision 1.5  2001/09/30 08:31:05  qboosh
- removed scrollkeeper from postun (it won't exist on remove, on upgrade
  it will be called in post)
- added "rm -f missing"
- release 2

Revision 1.4  2001/05/04 12:03:14  kloczek
- updated to 0.2,
- call scrollkeeper-update in %post/%postun,
- added scrollkeeper library (added --disable-static to autoconf parameters),
- remove obsoleted config patch and added fix_localstatedir patch (now
  scrollkeeper-config reports on --localstatedir %%{_localstatedir}/scrollkeeper).

Revision 1.3  2001/04/03 22:14:18  kloczek
- release 2,
- added config patch which fixes sig segv in %post.

Revision 1.2  2001/03/19 15:16:36  kloczek
- added libxl to Prereq,
- spec adapterized,
- added man pages to %files.

Revision 1.1  2001/03/19 14:10:54  misiek
documentation cataloging system
